org.apache.cassandra.cql3

## Class QueryProcessor

- java.lang.Object
- - org.apache.cassandra.cql3.QueryProcessor

    public class QueryProcessor
    extends java.lang.Object

### Field Summary

Fields
`static SemanticVersion` `CQL_VERSION`

### Constructor Summary

Constructors
Constructor and Description
`QueryProcessor()`

### Method Summary

Methods
`static void` `addPostExecutionHook(PostExecutionHook hook)`
`static void` `addPostPreparationHook(PostPreparationHook hook)`
`static void` `addPreExecutionHook(PreExecutionHook hook)`
`static CQLStatement` `getPrepared(java.lang.Integer id)`
`static CQLStatement` `getPrepared(MD5Digest id)`
`static ParsedStatement.Prepared` `getStatement(java.lang.String queryStr, ClientState clientState)`
`static ParsedStatement` `parseStatement(java.lang.String queryStr)`
`static CQLStatement` `parseStatement(java.lang.String queryStr, QueryState queryState)`
`static ResultMessage.Prepared` `prepare(java.lang.String queryString, ClientState clientState, boolean forThrift)`
`static UntypedResultSet` `process(java.lang.String query, ConsistencyLevel cl)`
`static ResultMessage` `process(java.lang.String queryString, ConsistencyLevel cl, QueryState queryState)`
`static ResultMessage` `process(java.lang.String queryString, QueryState queryState, QueryOptions options)`
`static ResultMessage` `processBatch(BatchStatement batch, ConsistencyLevel cl, QueryState queryState, java.util.List<java.util.List<java.nio.ByteBuffer>> variables, java.util.List<java.lang.Object> queryOrIdList)`
`static UntypedResultSet` `processInternal(java.lang.String query)`
`static ResultMessage` `processPrepared(CQLStatement statement, QueryState queryState, QueryOptions options)`
`static void` `removePostExecutionHook(PostExecutionHook hook)`
`static void` `removePostPreparationHook(PostPreparationHook hook)`
`static void` `removePreExecutionHook(PreExecutionHook hook)`
`static UntypedResultSet` `resultify(java.lang.String query, Row row)`
`static void` `validateCellName(java.nio.ByteBuffer name)`
`static void` `validateCellNames(java.lang.Iterable<java.nio.ByteBuffer> cellNames)`
`static void` `validateKey(java.nio.ByteBuffer key)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### CQL_VERSION

    public static final SemanticVersion CQL_VERSION

### Constructor Detail

#### QueryProcessor

    public QueryProcessor()

### Method Detail

#### addPreExecutionHook

    public static void addPreExecutionHook(PreExecutionHook hook)

#### removePreExecutionHook

    public static void removePreExecutionHook(PreExecutionHook hook)

#### addPostExecutionHook

    public static void addPostExecutionHook(PostExecutionHook hook)

#### removePostExecutionHook

    public static void removePostExecutionHook(PostExecutionHook hook)

#### addPostPreparationHook

    public static void addPostPreparationHook(PostPreparationHook hook)

#### removePostPreparationHook

    public static void removePostPreparationHook(PostPreparationHook hook)

#### getPrepared

    public static CQLStatement getPrepared(MD5Digest id)

#### getPrepared

    public static CQLStatement getPrepared(java.lang.Integer id)

#### validateKey

    public static void validateKey(java.nio.ByteBuffer key)
                            throws InvalidRequestException

Throws:
  `InvalidRequestException`

#### validateCellNames

    public static void validateCellNames(java.lang.Iterable<java.nio.ByteBuffer> cellNames)
                                  throws InvalidRequestException

Throws:
  `InvalidRequestException`

#### validateCellName

    public static void validateCellName(java.nio.ByteBuffer name)
                                 throws InvalidRequestException

Throws:
  `InvalidRequestException`

#### process

    public static ResultMessage process(java.lang.String queryString,
                        ConsistencyLevel cl,
                        QueryState queryState)
                                 throws RequestExecutionException,
                                        RequestValidationException

Throws:
  `RequestExecutionException`
  `RequestValidationException`

#### process

    public static ResultMessage process(java.lang.String queryString,
                        QueryState queryState,
                        QueryOptions options)
                                 throws RequestExecutionException,
                                        RequestValidationException

Throws:
  `RequestExecutionException`
  `RequestValidationException`

#### parseStatement

    public static CQLStatement parseStatement(java.lang.String queryStr,
                              QueryState queryState)
                                       throws RequestValidationException

Throws:
  `RequestValidationException`

#### process

    public static UntypedResultSet process(java.lang.String query,
                           ConsistencyLevel cl)
                                    throws RequestExecutionException

Throws:
  `RequestExecutionException`

#### processInternal

    public static UntypedResultSet processInternal(java.lang.String query)

#### resultify

    public static UntypedResultSet resultify(java.lang.String query,
                             Row row)

#### prepare

    public static ResultMessage.Prepared prepare(java.lang.String queryString,
                                 ClientState clientState,
                                 boolean forThrift)
                                          throws RequestValidationException

Throws:
  `RequestValidationException`

#### processPrepared

    public static ResultMessage processPrepared(CQLStatement statement,
                                QueryState queryState,
                                QueryOptions options)
                                         throws RequestExecutionException,
                                                RequestValidationException

Throws:
  `RequestExecutionException`
  `RequestValidationException`

#### processBatch

    public static ResultMessage processBatch(BatchStatement batch,
                             ConsistencyLevel cl,
                             QueryState queryState,
                             java.util.List<java.util.List<java.nio.ByteBuffer>> variables,
                             java.util.List<java.lang.Object> queryOrIdList)
                                      throws RequestExecutionException,
                                             RequestValidationException

Throws:
  `RequestExecutionException`
  `RequestValidationException`

#### getStatement

    public static ParsedStatement.Prepared getStatement(java.lang.String queryStr,
                                        ClientState clientState)
                                                 throws RequestValidationException

Throws:
  `RequestValidationException`

#### parseStatement

    public static ParsedStatement parseStatement(java.lang.String queryStr)
                                          throws SyntaxException

Throws:
  `SyntaxException`